Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Owing to compatibility problems with firefox 3.6.10, I want to re-install 3.6.8. How? (Also tag Norton toolbar)

  • 1 reply
  • 38 have this problem
  • Last reply by iantwebb

more options

Specifically a number of toolbars including Norton and Nero and their related functions such as identity safe autofill will not work now. I have tried dozens of solutions, and even Symantec cannot do it, so I just want to go back to 3.6.8 for now.

Modified by iantwebb

All Replies (1)

more options

This question should also be tagged " Norton toolbar". Obviously if either Mozilla or Symantec find a software fix then this one will be solved; in the meantime I still don't know how to re-install earlier versions of Firefox.